summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZoltan Puskas <zoltan@sinustrom.info>2019-03-24 17:47:10 -0700
committerAlexey Shvetsov <alexxy@gentoo.org>2019-04-07 19:52:09 +0300
commitce2e77001196f94d29efe79628a62bf7e69d5f20 (patch)
treeb0b21b17c5cb8bdd5bc5c28330624e18dcaf6c66 /sci-electronics/kicad
parentsys-libs/glibc: Add japanese era change information (diff)
downloadgentoo-ce2e77001196f94d29efe79628a62bf7e69d5f20.tar.gz
gentoo-ce2e77001196f94d29efe79628a62bf7e69d5f20.tar.bz2
gentoo-ce2e77001196f94d29efe79628a62bf7e69d5f20.zip
sci-electronics/kicad: Bump to version 5.1.0
Bug: https://bugs.gentoo.org/680642 Signed-off-by: Zoltan Puskas <zoltan@sinustrom.info> Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.12
Diffstat (limited to 'sci-electronics/kicad')
-rw-r--r--sci-electronics/kicad/Manifest1
-rw-r--r--sci-electronics/kicad/files/kicad-5.0.0-help.patch (renamed from sci-electronics/kicad/files/kicad-help-path.patch)0
-rw-r--r--sci-electronics/kicad/files/kicad-5.1.0-help.patch117
-rw-r--r--sci-electronics/kicad/kicad-5.0.1.ebuild4
-rw-r--r--sci-electronics/kicad/kicad-5.1.0.ebuild128
5 files changed, 248 insertions, 2 deletions
diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index f8f01cb2ef6..13afaa4c6a4 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -1,5 +1,6 @@
DIST kicad-4.0.7-i18n.tar.gz 2578242 BLAKE2B 610f580d9584cf9ef96686c3d7b7081d4c3a0d2c670482eaa2ef32720a7e71630670845a6050bae8e51df7ac41e30f73d3d11be65ea477ad9efd9fbb5176e2df SHA512 4880705fd7e95c939b7f5e2b7730fd37c426be10596f4cfa80d7df102d9e67232621900395d45f4e735986054f74fb215ae2002a2818faae32b1c75e3cb7e10a
DIST kicad-4.0.7.tar.xz 10678656 BLAKE2B 54be9a3f5ae6378ac05cb327c28b1a358d895e736a116e1bf5151f021973b9510eab4671a67f222c3be2ef67929954b9576c5c28ef2b6a14708f8c019729969b SHA512 7b2acd9efadf5d48565f71bd0df2474ecc8fc04145953c13ac27363d48dbe6b0de091e311713635f603aed89ce0759a1d623abb37a139e2c87184ca4e717145b
DIST kicad-5.0.1.tar.xz 14241544 BLAKE2B 47b6f8f4443e547dc1251e609b53fc998006c6a9302442a232767c6db79bcd94340afba694d99b6dfad5cf457a524d3dbce7a5971a9dcd13424ccb2b6f8f1de7 SHA512 36f591fe82c2c2da21581ec9425cf3c179839b20ea9db9e2d406220406e9daef6052d29202b4f0fe4fdab73434009626f66ce803e81e7a7dae4df9ea93ed896d
+DIST kicad-5.1.0.tar.xz 14191708 BLAKE2B 182b2e2d3ddef3d8cae1552b869427b5d63082aeaa1d3bd15d977c5421084fa6134f8d244a3024b46aa56c98c8412d3f1ba8f72b40c73ab9bfebea7535a8a4ad SHA512 644865932d7e18e446c222cd85e969bb3462bca7fbf6c411e955cd460f5df45ed5221c0948ecd34262a2f5355e586c8fe04c1cb28fa51e4fd09d6f3f78c54761
DIST kicad-footprints-4.0.7.tar.gz 4758012 BLAKE2B ca7ddcad3d1ca658d0d5b7c0a4a0e9a3906619bdbf14195b3bd14c528c01b6e9c1f185036ad495fc88a33a53040ae4d338230d8b2bbb598a69a1c07ddfec3cce SHA512 9ba08f528d4b3fa6f165a20333ad2e0f6bc4165b51da77bdb080ad2c8cc12c029927ddb2f6aa669b4dac5fac52b8bdbec803d1b7b3fc639e9481bb866b8e3d6f
DIST kicad-library-4.0.7.tar.gz 475804416 BLAKE2B 0d6df1df7a72258e896552551996ff13e985976e03b6aafbe900dcc04c9b8eb6e5c1abc242ae5020c1bd20b51e9cc1e60f520b478954edcb6368db7f9ee46df0 SHA512 c5365e18e806102aace785895259deca708a61e0ce37262f5ee2482a8a1f86bc9ce1d37e0fb63cb0661bd5c71064ac36ca2260c9c02ed9790744eedd0a5b5360
diff --git a/sci-electronics/kicad/files/kicad-help-path.patch b/sci-electronics/kicad/files/kicad-5.0.0-help.patch
index 0fb43c3550c..0fb43c3550c 100644
--- a/sci-electronics/kicad/files/kicad-help-path.patch
+++ b/sci-electronics/kicad/files/kicad-5.0.0-help.patch
diff --git a/sci-electronics/kicad/files/kicad-5.1.0-help.patch b/sci-electronics/kicad/files/kicad-5.1.0-help.patch
new file mode 100644
index 00000000000..e89b7e45c24
--- /dev/null
+++ b/sci-electronics/kicad/files/kicad-5.1.0-help.patch
@@ -0,0 +1,117 @@
+diff -Naur /tmp/kicad-5.1.0-orig/CMakeLists.txt kicad-5.1.0/CMakeLists.txt
+--- /tmp/kicad-5.1.0-orig/CMakeLists.txt 2019-03-08 04:31:50.000000000 -0800
++++ kicad-5.1.0/CMakeLists.txt 2019-03-24 16:16:58.287376258 -0700
+@@ -427,6 +427,10 @@
+ set( KIFACE_PREFIX "_" )
+ #message( STATUS "KIFACE_SUFFIX:${KIFACE_SUFFIX} KIFACE_PREFIX:${KIFACE_PREFIX}" )
+
++# KICAD_HELP is the location of the help files accessed from the UI
++# (usually provided via kicad-doc package)
++set ( KICAD_HELP share/doc/kicad
++ CACHE PATH "Alternative location of KiCad help files.")
+
+ #================================================
+ # Locations for install targets.
+diff -Naur /tmp/kicad-5.1.0-orig/CMakeModules/config.h.cmake kicad-5.1.0/CMakeModules/config.h.cmake
+--- /tmp/kicad-5.1.0-orig/CMakeModules/config.h.cmake 2019-03-08 04:31:50.000000000 -0800
++++ kicad-5.1.0/CMakeModules/config.h.cmake 2019-03-24 16:16:58.287376258 -0700
+@@ -59,6 +59,10 @@
+ /// The install prefix defined during CMake configuration or fall back to CMAKE_INSTALL_PREFIX.
+ #define DEFAULT_INSTALL_PATH "@DEFAULT_INSTALL_PATH@"
+
++/// KiCad help files path can be different on some systems allow adding alternative,
++/// search path for them. Defaults to CMAKE_INSTALL_PREFIX/share/doc/kicad
++#define KICAD_HELP "@KICAD_HELP@"
++
+ /// The wxPython version found during configuration.
+ #if defined( KICAD_SCRIPTING_WXPYTHON )
+ #define WXPYTHON_VERSION "@WXPYTHON_VERSION@"
+diff -Naur /tmp/kicad-5.1.0-orig/common/searchhelpfilefullpath.cpp kicad-5.1.0/common/searchhelpfilefullpath.cpp
+--- /tmp/kicad-5.1.0-orig/common/searchhelpfilefullpath.cpp 2019-03-08 04:31:50.000000000 -0800
++++ kicad-5.1.0/common/searchhelpfilefullpath.cpp 2019-03-24 16:17:31.527588523 -0700
+@@ -25,7 +25,7 @@
+
+ #include <pgm_base.h>
+ #include <common.h>
+-#include <config.h> // to define DEFAULT_INSTALL_PATH
++#include <config.h> // to define DEFAULT_INSTALL_PATH and KICAD_HELP
+ #include <macros.h>
+ #include <trace_helpers.h>
+
+@@ -69,6 +69,10 @@
+ wxArrayString subdirs;
+ wxArrayString altsubdirs;
+ SEARCH_STACK ss = aSStack;
++#if ! defined(__WXMAC__) // && defined(__linux__)
++ SEARCH_STACK altss;
++ wxArrayString moresubdirs;
++#endif
+
+ // It might already be in aSStack, but why depend on other code
+ // far away when it's so easy to add it again (to our copy) as the first place to look.
+@@ -76,6 +80,7 @@
+ // This is CMAKE_INSTALL_PREFIX unless DEFAULT_INSTALL_PATH was defined during
+ // build configuration:
+ ss.AddPaths( wxT( DEFAULT_INSTALL_PATH ), 0 );
++ altss.AddPaths( wxT( KICAD_HELP ), 0 );
+
+ #if defined(__WXMAC__)
+ ss.AddPaths( GetOSXKicadMachineDataDir() );
+@@ -104,16 +109,17 @@
+
+ // Based on kicad-doc.bzr/CMakeLists.txt, line 20, the help files are
+ // installed into "<CMAKE_INSTALL_PREFIX>/share/doc/kicad/help" for linux.
+- // This is ${KICAD_HELP} var in that CMakeLists.txt file.
+ // Below we account for an international subdirectory.
+ subdirs.Add( "share" );
+ subdirs.Add( "doc" );
+ subdirs.Add( "kicad" );
+ subdirs.Add( "help" );
+
++ // For custom help path installations via ${KICAD_HELP}
++ moresubdirs.Add( "help" );
++
+ // Based on kicad-doc.bzr/CMakeLists.txt, line 35, the help files are
+ // installed into "<CMAKE_INSTALL_PREFIX>/doc/help" for Windows.
+- // This is ${KICAD_HELP} var in that CMakeLists.txt file.
+ // Below we account for an international subdirectory.
+ altsubdirs.Add( "doc" );
+ altsubdirs.Add( "help" );
+@@ -159,6 +165,9 @@
+ {
+ subdirs.Add( locale_name_dirs[ii] );
+ altsubdirs.Add( locale_name_dirs[ii] );
++#if ! defined(__WXMAC__) // && defined(__linux__)
++ moresubdirs.Add( locale_name_dirs[ii] );
++#endif
+
+ fn = FindFileInSearchPaths( ss, aBaseName + wxT( ".html" ), &altsubdirs );
+
+@@ -188,8 +197,27 @@
+ if( !fn.IsEmpty() )
+ break;
+
++#if ! defined(__WXMAC__) // && defined(__linux__)
++ fn = FindFileInSearchPaths( altss, aBaseName + wxT( ".html" ), &moresubdirs );
++
++ if( !fn.IsEmpty() )
++ {
++ // Prepend URI protocol since we will open in a browser
++ fn = wxT( "file://" ) + fn;
++ break;
++ }
++
++ fn = FindFileInSearchPaths( altss, aBaseName + wxT( ".pdf" ), &moresubdirs );
++
++ if( !fn.IsEmpty() )
++ break;
++#endif
++
+ subdirs.RemoveAt( subdirs.GetCount() - 1 );
+ altsubdirs.RemoveAt( altsubdirs.GetCount() - 1 );
++#if ! defined(__WXMAC__) // && defined(__linux__)
++ moresubdirs.RemoveAt( altsubdirs.GetCount() - 1 );
++#endif
+ }
+
+ return fn;
diff --git a/sci-electronics/kicad/kicad-5.0.1.ebuild b/sci-electronics/kicad/kicad-5.0.1.ebuild
index 598f92dad72..699ca42f0b7 100644
--- a/sci-electronics/kicad/kicad-5.0.1.ebuild
+++ b/sci-electronics/kicad/kicad-5.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -50,7 +50,7 @@ CHECKREQS_DISK_BUILD="800M"
PATCHES=(
"${FILESDIR}"/"${PN}-5.0.0-curl.patch"
- "${FILESDIR}"/"${PN}-help-path.patch"
+ "${FILESDIR}"/"${PN}-5.0.0-help.patch"
)
pkg_setup() {
diff --git a/sci-electronics/kicad/kicad-5.1.0.ebuild b/sci-electronics/kicad/kicad-5.1.0.ebuild
new file mode 100644
index 00000000000..962d8c8392a
--- /dev/null
+++ b/sci-electronics/kicad/kicad-5.1.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Can switch to EAPI=7 when wxwidgets eclass also supports it
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+WX_GTK_VER="3.0"
+
+inherit check-reqs cmake-utils eapi7-ver eutils gnome2-utils python-single-r1 toolchain-funcs wxwidgets xdg-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools"
+HOMEPAGE="http://www.kicad-pcb.org"
+SRC_URI="https://launchpad.net/${PN}/5.0/${PV}/+download/${P}.tar.xz"
+
+LICENSE="GPL-2+ GPL-3+ Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc examples github +ngspice occ +oce openmp +python"
+
+REQUIRED_USE="
+ python? ( ${PYTHON_REQUIRED_USE} )
+ ?? ( occ oce )
+"
+
+COMMON_DEPEND=">=x11-libs/wxGTK-3.0.2:${WX_GTK_VER}[X,opengl]
+ python? (
+ dev-python/wxpython:${WX_GTK_VER}[opengl,${PYTHON_USEDEP}]
+ ${PYTHON_DEPS}
+ )
+ >=dev-libs/boost-1.61[context,nls,threads,python?,${PYTHON_USEDEP}]
+ github? ( net-misc/curl:=[ssl] )
+ media-libs/glew:0=
+ <=media-libs/glm-0.9.9.2
+ media-libs/freeglut
+ media-libs/mesa
+ ngspice? (
+ sci-electronics/ngspice[shared]
+ )
+ occ? ( >=sci-libs/opencascade-6.8.0:= )
+ oce? ( sci-libs/oce )
+ >=x11-libs/cairo-1.8.8:=
+ >=x11-libs/pixman-0.30"
+DEPEND="${COMMON_DEPEND}
+ doc? ( app-doc/doxygen )
+ python? ( >=dev-lang/swig-3.0:0 )"
+RDEPEND="${COMMON_DEPEND}
+ sci-electronics/electronics-menu
+"
+CHECKREQS_DISK_BUILD="800M"
+
+PATCHES=(
+ "${FILESDIR}"/"${PN}-5.1.0-help.patch"
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+ use openmp && tc-check-openmp
+ setup-wxwidgets
+ check-reqs_pkg_setup
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local mycmakeargs=(
+ -DKICAD_DOCS="${EPREFIX}/usr/share/doc/${P}"
+ -DKICAD_HELP="${EPREFIX}/usr/share/doc/${PN}-doc-${PV}"
+ -DBUILD_GITHUB_PLUGIN="$(usex github)"
+ -DKICAD_SCRIPTING="$(usex python)"
+ -DKICAD_SCRIPTING_MODULES="$(usex python)"
+ -DKICAD_SCRIPTING_WXPYTHON="$(usex python)"
+ -DKICAD_SCRIPTING_ACTION_MENU="$(usex python)"
+ -DKICAD_SPICE="$(usex ngspice)"
+ -DKICAD_USE_OCC="$(usex occ)"
+ -DKICAD_USE_OCE="$(usex oce)"
+ -DKICAD_INSTALL_DEMOS="$(usex examples)"
+ )
+ use python && mycmakeargs+=(
+ -DPYTHON_DEST="$(python_get_sitedir)"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+ )
+ use occ && mycmakeargs+=(
+ -DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
+ -DOCC_LIBRARY_DIR="${CASROOT}"/lib
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+ if use doc; then
+ cmake-utils_src_compile dev-docs doxygen-docs
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+ use python && python_optimize
+ if use doc ; then
+ dodoc uncrustify.cfg
+ cd Documentation || die
+ dodoc -r *.txt kicad_doxygen_logo.png notes_about_pcbnew_new_file_format.odt doxygen/. development/doxygen/.
+ fi
+}
+
+pkg_postinst() {
+ optfeature "Component symbols library" sci-electronics/kicad-symbols
+ optfeature "Component footprints library" sci-electronics/kicad-footprints
+ optfeature "3D models of components " sci-electronics/kicad-packages3d
+ optfeature "Project templates" sci-electronics/kicad-templates
+ optfeature "Different languages for GUI" sci-electronics/kicad-i18n
+ optfeature "Extended documentation" app-doc/kicad-doc
+ optfeature "Creating 3D models of components" media-gfx/wings
+
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ gnome2_icon_cache_update
+}